Index: data/trunk/worlds/DefaultNetworkCampaign.oxc
===================================================================
--- data/trunk/worlds/DefaultNetworkCampaign.oxc	(revision 4236)
+++ data/trunk/worlds/DefaultNetworkCampaign.oxc	(revision 4240)
@@ -7,5 +7,5 @@
       <identifier>0</identifier>
       <nextid>999</nextid>
-      <path>worlds/mp_level_arena.oxw</path>
+      <path>worlds/mp_valley.oxw</path>
     </MultiPlayerWorld>
   </WorldList>
Index: data/trunk/worlds/mp_valley.oxw
===================================================================
--- data/trunk/worlds/mp_valley.oxw	(revision 4236)
+++ data/trunk/worlds/mp_valley.oxw	(revision 4240)
@@ -79,26 +79,27 @@
 
 
-  <clip-region>1, 100000</clip-region>
+  <clip-region>1, 50000</clip-region>
   <WorldEntities>
+    <!---
     <Hover>
       <name>Player</name>
       <abs-coor>-1355, 281, 907</abs-coor>
     </Hover>
-
+    -->
     <Terrain>
       <name>water</name>
-      <model>worlds/Valley.obj</model>
-      <vegetation>worlds/Valley_vegetation.obj</vegetation>
+      <model>worlds/Valley.obj, 0.333</model>
+      <vegetation>worlds/Valley_vegetation.obj, .333</vegetation>
     </Terrain>
 
     <ModelEntity>
-      <model>models/ships/noxon_battle_ship.obj</model>
-      <abs-coor>0, 261, -1100</abs-coor>
+      <model>models/ships/noxon_battle_ship.obj, 0.333</model>
+      <abs-coor>0, 80, -333</abs-coor>
       <abs-dir>1.0, .4, .8, 1.2</abs-dir>
     </ModelEntity>
 
     <ModelEntity>
-      <model>models/ships/terran_cruizer.obj, 3.0</model>
-      <abs-coor>969, 53, 1080</abs-coor>
+      <model>models/ships/terran_cruizer.obj</model>
+      <abs-coor>323, 17, 320</abs-coor>
       <abs-dir>1.0, .3, 0, -.1</abs-dir>
     </ModelEntity>
@@ -106,5 +107,5 @@
     <!---
     <MappedWater>
-      <waterpos>-490, -145, -509</waterpos>
+      <waterpos>-163, -48, -169</waterpos>
       <watersize>1300.000000, 1300.000000</watersize>
       <lightpos>-188.90, 984.54, 214.67</lightpos>
@@ -122,15 +123,15 @@
     <!--- HUMAN GUN TURRETS -->
     <NetworkTurret>
-      <abs-coor>405, -8, 1100</abs-coor> <abs-dir>1.5, 0, 1, 0</abs-dir>
+      <abs-coor>135, -2.5, 333</abs-coor> <abs-dir>1.5, 0, 1, 0</abs-dir>
       <target-group>group02</target-group>
     </NetworkTurret>
 
     <NetworkTurret>
-      <abs-coor>-17, 28, 1200</abs-coor> <abs-dir>1.6, 0, 1, 0</abs-dir>
+      <abs-coor>-5.6, 9.3, 400</abs-coor> <abs-dir>1.6, 0, 1, 0</abs-dir>
       <target-group>group02</target-group>
     </NetworkTurret>
 
     <NetworkTurret>
-      <abs-coor>590, 10, 950</abs-coor> <abs-dir>1.8, 0, 1, 0</abs-dir>
+      <abs-coor>196, 3.3, 316</abs-coor> <abs-dir>1.8, 0, 1, 0</abs-dir>
       <target-group>group02</target-group>
     </NetworkTurret>
@@ -139,15 +140,15 @@
     <!--- NOXON GUN TURRETS -->
     <NetworkTurret>
-      <abs-coor>-115, -24, -863</abs-coor> <abs-dir>1.5, 0, -1, 0</abs-dir>
+      <abs-coor>-38, -8, -287</abs-coor> <abs-dir>1.5, 0, -1, 0</abs-dir>
       <target-group>group01</target-group>
     </NetworkTurret>
 
     <NetworkTurret>
-      <abs-coor>263, -38, -765</abs-coor> <abs-dir>1.6, 0, -1, 0</abs-dir>
+      <abs-coor>88, -12.7, -255</abs-coor> <abs-dir>1.6, 0, -1, 0</abs-dir>
       <target-group>group01</target-group>
     </NetworkTurret>
 
     <NetworkTurret>
-      <abs-coor>-23, 207, -873</abs-coor> <abs-dir>1.8, 0, -1, 0</abs-dir>
+      <abs-coor>-76.7, 69, -291</abs-coor> <abs-dir>1.8, 0, -1, 0</abs-dir>
       <target-group>group01</target-group>
     </NetworkTurret>
@@ -175,37 +176,3 @@
   <Music>sound/music/mountainlake_taskhorizon.ogg</Music>
 
-  <AtmosphericEngine>
-    <WeatherEffect>
-
-      <FogEffect>
-        <name>fog</name>
-        <color>0.2, 0.3, 0.3</color>
-        <range>0, 500</range>
-      </FogEffect>
-
-      <RainEffect>
-        <name>rain</name>
-        <option>moverain</option>
-      </RainEffect>
-
-      <SnowEffect>
-        <name>snow</name>
-        <option>movesnow</option>
-      </SnowEffect>
-
-      <LightningEffect>
-        <name>lightning</name>
-        <coord>1500, 500, 400</coord>
-        <size>400,300, 50, 50</size>
-      </LightningEffect>
-
-      <CloudEffect>
-        <name>cloud</name>
-        <planetRadius>2000</planetRadius>
-        <atmosphericRadius>4000</atmosphericRadius>
-        <divisions>20</divisions>
-      </CloudEffect>
-
-    </WeatherEffect>
-  </AtmosphericEngine>
 </WorldDataFile>