Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_Andrea_Moroni_Stampa_320.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_Andrea_Moroni_Stampa_320.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_Andrea_Moroni_Stampa_320.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Andrea_Moroni_Stampa_320.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_Marc_Schaerer_tower_1003.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_Marc_Schaerer_tower_1003.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_Marc_Schaerer_tower_1003.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Marc_Schaerer_tower_1003.blend
+# Material Count: 1
+newmtl def_surf_mat
+Ns 98.039216
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_Marco_Delai_65.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_Marco_Delai_65.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_Marco_Delai_65.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Marco_Delai_65.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_Nicolas_Schlumberger_1106.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_Nicolas_Schlumberger_1106.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_Nicolas_Schlumberger_1106.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Nicolas_Schlumberger_1106.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_Ralph_Burkart_366.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_Ralph_Burkart_366.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_Ralph_Burkart_366.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_Ralph_Burkart_366.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_adrian_waeber_1050.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_adrian_waeber_1050.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_adrian_waeber_1050.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_adrian_waeber_1050.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.481021 0.481021 0.481021
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_andrea_190.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_andrea_190.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_andrea_190.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_andrea_190.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_gfilip_29.blend1.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_gfilip_29.blend1.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_gfilip_29.blend1.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_gfilip_29.blend1.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.300000 0.300000 0.300000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_landauf_stratosphere_tower_4084.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_landauf_stratosphere_tower_4084.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_landauf_stratosphere_tower_4084.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_landauf_stratosphere_tower_4084.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_marc_schaerer_tower2_184.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_marc_schaerer_tower2_184.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_marc_schaerer_tower2_184.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_marc_schaerer_tower2_184.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_thomas_Fahrni_1200.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_thomas_Fahrni_1200.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_thomas_Fahrni_1200.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_thomas_Fahrni_1200.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_freedomtower2_306.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_freedomtower2_306.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_freedomtower2_306.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_tobias_rutishauser_freedomtower2_306.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_taipei_218.mtl
===================================================================
--- /data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_taipei_218.mtl	(revision 4349)
+++ /data/trunk/models/tmp_christmas/skyscrapers/twr_tobias_rutishauser_taipei_218.mtl	(revision 4349)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: twr_tobias_rutishauser_taipei_218.blend
+# Material Count: 1
+newmtl Material
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.480000 0.480000 0.480000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: /data/trunk/worlds/christmas2.oxw
===================================================================
--- /data/trunk/worlds/christmas2.oxw	(revision 4348)
+++ /data/trunk/worlds/christmas2.oxw	(revision 4349)
@@ -46,4 +46,82 @@
     </SkyBox>
 
+
+   <Building>
+      <model>models/tmp_christmas/skyscrapers/twr_adrian_waeber_1050.obj, 3</model>
+      <abs-coor>-152, 28, -46</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/skyscrapers/twr_andrea_190.obj, 1.5</model>
+      <abs-coor>-152, 10, -100</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+
+
+
+
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/andrea_haus(untitled)_tex.obj, 3</model>
+      <abs-coor>145, 30, 75</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/gfilip_house_tex.obj, 3</model>
+      <abs-coor>120, 25, 70</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/Haeuschen_marc_schaerer_tex.obj, 3</model>
+      <abs-coor>120, 28, 56</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/haus_adrian_waeber_tex.obj, 3</model>
+      <abs-coor>150, 23, 80</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/haus_fabian_landau03_tex.obj, 3.3</model>
+      <abs-coor>150, 18, 100</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/House_Sam_Samuel_Boegli_tex.obj, 3</model>
+      <abs-coor>180, 25, 30</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/michel_mueller_newbwork_huesli_tex.obj, 3</model>
+      <abs-coor>130, 15, 110</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/SimonsHaus_tex.obj, 3</model>
+      <abs-coor>150, 25, 75</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/SimonWenner_haus_tex.obj, 3</model>
+      <abs-coor>173, 25, 80</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
+   <Building>
+      <model>models/tmp_christmas/haeuschen/thomas_fahrni_haus_tex.obj, 3</model>
+      <abs-coor>182, 28, 56</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+   </Building>
+
   </WorldEntities>
 