Index: data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/common.shader
===================================================================
--- data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/common.shader	(revision 4353)
+++ data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/common.shader	(revision 4353)
@@ -0,0 +1,142 @@
+
+textures/common/areaportal
+{
+	qer_trans 0.50
+	surfaceparm nodraw
+	surfaceparm nolightmap
+	surfaceparm nonsolid
+	surfaceparm structural
+	surfaceparm trans
+	surfaceparm nomarks
+	surfaceparm areaportal
+}
+
+textures/common/caulk
+{
+	surfaceparm nodraw
+	surfaceparm nolightmap
+	surfaceparm nomarks
+}
+
+textures/common/clip
+{
+	qer_trans 0.40
+	surfaceparm nodraw
+	surfaceparm nolightmap
+	surfaceparm nonsolid
+	surfaceparm trans
+	surfaceparm nomarks
+	surfaceparm noimpact
+	surfaceparm playerclip
+}
+
+textures/common/full_clip
+{
+	qer_trans 0.40
+	surfaceparm nodraw
+	surfaceparm playerclip
+}
+
+textures/common/lightgrid
+{
+	qer_trans 0.5
+	surfaceparm nodraw
+	surfaceparm nolightmap
+	surfaceparm nonsolid
+	surfaceparm detail
+	surfaceparm nomarks
+	surfaceparm trans
+	surfaceparm lightgrid
+}
+
+textures/common/nodraw
+{
+	surfaceparm nodraw
+	surfaceparm nolightmap
+	surfaceparm nonsolid
+	surfaceparm trans
+	surfaceparm nomarks
+}
+
+textures/common/nodrawnonsolid
+{
+	surfaceparm nonsolid
+	surfaceparm nolightmap
+	surfaceparm nodraw
+}
+
+textures/common/nolightmap
+{
+	surfaceparm nolightmap
+}
+
+textures/common/mirror1
+{
+	qer_editorimage textures/common/mirror1.tga
+	surfaceparm nolightmap
+	portal
+  
+	{
+		map textures/common/mirror1.tga
+		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
+		depthWrite
+	}
+}
+
+textures/common/mirror2
+{
+	qer_editorimage textures/common/qer_mirror.tga
+	surfaceparm nolightmap
+	portal
+	{
+		map textures/common/mirror1.tga
+		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
+		depthWrite
+	}
+        {
+        	map textures/sfx/mirror.tga
+		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
+        }
+}
+
+textures/common/portal
+{
+	qer_editorimage textures/common/qer_portal.tga
+	surfaceparm nolightmap
+	portal
+	{
+		map textures/common/mirror1.tga
+		tcMod turb 0 0.25 0 0.05
+		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
+		depthWrite
+	}
+}
+
+
+textures/common/timportal
+{
+	qer_editorimage textures/common/qer_portal.tga
+	portal
+	surfaceparm nolightmap
+	{
+		map textures/common/portal.tga
+		tcMod turb 0 0.25 0 0.05
+		blendFunc GL_ONE GL_SRC_ALPHA
+		depthWrite
+	}
+}
+
+textures/common/trigger
+{
+	qer_trans 0.50
+	qer_nocarve
+	surfaceparm nodraw
+}
+
+textures/common/invisible
+{
+	qer_trans 0.15
+	surfaceparm nolightmap
+	surfaceparm nodraw
+	surfaceparm trans
+}
Index: data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/shaderlist.txt
===================================================================
--- data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/shaderlist.txt	(revision 4307)
+++ data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/shaderlist.txt	(revision 4353)
@@ -28,4 +28,5 @@
 base_wall
 common
+spacestation1
 ctf
 //eerie
Index: data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/spacestation1.shader
===================================================================
--- data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/spacestation1.shader	(revision 4353)
+++ data/contentcreation/pps/FabianLandau/worlds/baseq3/scripts/spacestation1.shader	(revision 4353)
@@ -0,0 +1,41 @@
+textures/spacestation1/green_dots
+{
+	qer_trans 0.50
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/spacestation1/gray_fog
+{
+	qer_trans 0.40
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/spacestation1/gray_fog_dense
+{
+	qer_trans 0.55
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/spacestation1/gray_fog_light
+{
+	qer_trans 0.25
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/spacestation1/fence01
+{
+	qer_trans 0.40
+	surfaceparm nolightmap
+	surfaceparm trans
+}
+
+textures/spacestation1/red3
+{
+	qer_trans 0.75
+	surfaceparm nolightmap
+	surfaceparm trans
+}