Index: /data/release/levels/DefaultCampaign.oxc
===================================================================
--- /data/release/levels/DefaultCampaign.oxc	(revision 4397)
+++ /data/release/levels/DefaultCampaign.oxc	(revision 4398)
@@ -12,81 +12,20 @@
     </GameMenu>
 
-
-
     <SinglePlayerWorld>
       <identifier>1</identifier>
-      <nextid>2</nextid>
-      <name>Demo Mountain Lake</name>
-      <path>worlds/sp_demo_mountain_lake.oxw</path>
+      <nextid>1</nextid>
+      <name>Space Station</name>
+      <path>levels/fps.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
 
-
     <SinglePlayerWorld>
       <identifier>2</identifier>
-      <nextid>3</nextid>
-      <name>Ambush_at_Uranus</name>
-      <path>worlds/sp_level_ambush_at_uranus.oxw</path>
+      <nextid>2</nextid>
+      <name>In Space</name>
+      <path>levels/vertical_scroller.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
 
-
-    <SinglePlayerWorld>
-      <identifier>3</identifier>
-      <nextid>0</nextid>
-      <name>Multiplayer Arena</name>
-      <path>worlds/mp_level_arena.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-
-
-    <SinglePlayerWorld>
-      <identifier>4</identifier>
-      <nextid>0</nextid>
-      <name>Testlevel</name>
-      <path>worlds/testlevel.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>   
-
-    <SinglePlayerWorld>
-      <identifier>5</identifier>
-      <nextid>0</nextid>
-      <name>Terrain</name>
-      <path>worlds/mp_valley.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-
-
-   <SinglePlayerWorld>
-      <identifier>6</identifier>
-      <nextid>0</nextid>
-      <name>Artificial Intelligence</name>
-      <path>worlds/sp_ai.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-
-
-   <SinglePlayerWorld>
-      <identifier>7</identifier>
-      <nextid>0</nextid>
-      <name>Mounting Points Test</name>
-      <path>worlds/sp_mount_points.oxw</path>
-      <menu-entry>1</menu-entry>
-   </SinglePlayerWorld>
-
-   <SinglePlayerWorld>
-      <identifier>8</identifier>
-      <nextid>0</nextid>
-      <name>Christmas Level</name>
-      <path>worlds/christmas2.oxw</path>
-      <menu-entry>1</menu-entry>
-   </SinglePlayerWorld>
-
-    <MultiPlayerWorld>
-      <identifier>9</identifier>
-      <nextid>0</nextid>
-      <path>worlds/mp_level_arena.oxw</path>
-    </MultiPlayerWorld>
-
   </WorldList>
 </Campaign>
Index: /data/release/levels/Menu.oxw
===================================================================
--- /data/release/levels/Menu.oxw	(revision 4397)
+++ /data/release/levels/Menu.oxw	(revision 4398)
@@ -6,5 +6,5 @@
     <BackgroundPS>0,0,1.0,1</BackgroundPS>
     <BarPS>.65,.87,.3,.05</BarPS>
-    <BarImage>pictures/load_screens/simple_menu_bar.png</BarImage>
+    <BarImage>textures/load_screens/simple_menu_bar.png</BarImage>
   </LoadScreen>
   <selector-sound>sounds/menu_click.wav</selector-sound>
Index: /data/release/levels/fps.oxw
===================================================================
--- /data/release/levels/fps.oxw	(revision 4398)
+++ /data/release/levels/fps.oxw	(revision 4398)
@@ -0,0 +1,18 @@
+<WorldDataFile>
+  <name>Space Station</name>
+  <description>This is the First Person Shooter Level in the Space Station.</description>
+  <menu-item-image>textures/menu/Scienceproject_512x512.jpg</menu-item-image>
+  <screenshoot>textures/menu/Scienceproject_512x512.jpg</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>textures/load_screens/ambush.png</BackgroundImage>
+
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>textures/load_screens/ambush-loadbar.png</BarImage>
+  </LoadScreen>
+
+
+
+</WorldDataFile>
Index: /data/release/levels/vertical_scroller.oxw
===================================================================
--- /data/release/levels/vertical_scroller.oxw	(revision 4398)
+++ /data/release/levels/vertical_scroller.oxw	(revision 4398)
@@ -0,0 +1,17 @@
+<WorldDataFile>
+  <name>In Space</name>
+  <description>This is the vertical scroller level.</description>
+  <menu-item-image>textures/menu/Scienceproject_512x512.jpg</menu-item-image>
+  <screenshoot>textures/menu/Scienceproject_512x512.jpg</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>textures/load_screens/ambush.png</BackgroundImage>
+
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>textures/load_screens/ambush-loadbar.png</BarImage>
+  </LoadScreen>
+
+
+</WorldDataFile>