Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 4441)
+++ orxonox/trunk/src/Makefile.am	(revision 4442)
@@ -22,5 +22,4 @@
 
 orxonox_SOURCES= orxonox.cc \
-		 command_node.cc \
 		 util/loading/game_loader.cc \
 		 util/track/track_manager.cc \
@@ -82,5 +81,4 @@
 noinst_HEADERS = orxonox.h \
                  ability.h \
-		 command_node.h \
 		 action_listener.h \
 		 defs/message_structures.h \
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4441)
+++ orxonox/trunk/src/Makefile.in	(revision 4442)
@@ -53,7 +53,7 @@
 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
 PROGRAMS = $(bin_PROGRAMS)
-am_orxonox_OBJECTS = orxonox.$(OBJEXT) command_node.$(OBJEXT) \
-	game_loader.$(OBJEXT) track_manager.$(OBJEXT) \
-	track_node.$(OBJEXT) animation.$(OBJEXT) animation3d.$(OBJEXT) \
+am_orxonox_OBJECTS = orxonox.$(OBJEXT) game_loader.$(OBJEXT) \
+	track_manager.$(OBJEXT) track_node.$(OBJEXT) \
+	animation.$(OBJEXT) animation3d.$(OBJEXT) \
 	animation_player.$(OBJEXT) event.$(OBJEXT) \
 	event_handler.$(OBJEXT) event_listener.$(OBJEXT) \
@@ -88,7 +88,6 @@
 @AMDEP_TRUE@	./$(DEPDIR)/campaign.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/character_attributes.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/command_node.Po ./$(DEPDIR)/curve.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/environment.Po ./$(DEPDIR)/event.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/event_handler.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/curve.Po ./$(DEPDIR)/environment.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/event.Po ./$(DEPDIR)/event_handler.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/event_listener.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/factory.Po ./$(DEPDIR)/game_loader.Po \
@@ -259,5 +258,4 @@
 
 orxonox_SOURCES = orxonox.cc \
-		 command_node.cc \
 		 util/loading/game_loader.cc \
 		 util/track/track_manager.cc \
@@ -319,5 +317,4 @@
 noinst_HEADERS = orxonox.h \
                  ability.h \
-		 command_node.h \
 		 action_listener.h \
 		 defs/message_structures.h \
@@ -488,5 +485,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/campaign.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/character_attributes.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command_node.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curve.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/environment.Po@am__quote@
Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 4441)
+++ orxonox/trunk/src/orxonox.cc	(revision 4442)
@@ -30,5 +30,4 @@
 
 #include "world.h"
-#include "command_node.h"
 #include "ini_parser.h"
 #include "game_loader.h"
@@ -58,7 +57,7 @@
 
   this->world = NULL;
-  this->localinput = NULL;
   this->resourceManager = NULL;
   this->objectManager = NULL;
+  this->eventHandler = NULL;
 
   this->argc = 0;
@@ -74,5 +73,4 @@
   Orxonox::singletonRef = NULL;
   if( world != NULL) delete world;
-  if( localinput != NULL) delete localinput;
   delete GraphicsEngine::getInstance(); // deleting the Graphics
   delete ResourceManager::getInstance(); // deletes the Resource Manager
@@ -164,7 +162,4 @@
 int Orxonox::initInput() 
 {
-  // create localinput
-  localinput = new CommandNode(configfilename);
-
   this->eventHandler = EventHandler::getInstance();
   this->eventHandler->init();
@@ -301,34 +296,8 @@
  
 
-/**
-   \brief handle keyboard commands that are not meant for WorldEntities
-   \param cmd: the command to handle
-   \return true if the command was handled by the system or false if it may be passed to the WorldEntities
-*/
-bool Orxonox::systemCommand(Command* cmd)
-{
-  /*
-  if( !strcmp( cmd->cmd, "quit"))
-    {
-      if( !cmd->bUp) this->gameLoader->stop();
-      return true;
-    }
-  return false;
-  */
-  return false;
-}
-
 
 void Orxonox::process(const Event &event)
 {}
 
-/**
-   \brief retrieve a pointer to the local CommandNode
-   \return a pointer to localinput
-*/
-CommandNode* Orxonox::getLocalInput()
-{
-  return localinput;
-}
 
 
Index: orxonox/trunk/src/orxonox.h
===================================================================
--- orxonox/trunk/src/orxonox.h	(revision 4441)
+++ orxonox/trunk/src/orxonox.h	(revision 4442)
@@ -12,5 +12,4 @@
 
 
-class CommandNode;
 class WorldEntity;
 class World;
@@ -33,5 +32,4 @@
   char configfilename[256];   //!< Filename of the configuration-file.
   World* world;               //!< Reference to the current running world.
-  CommandNode* localinput;    //!< Command Handler
   SDL_Surface* screen;        //!< The current Screen
   GameLoader* gameLoader;     //!< The gameLoader
@@ -65,10 +63,9 @@
 
   void graphicsHandler (SDL_Event* event);
-  bool systemCommand (Command* cmd);
   void process(const Event  &event);
 
   int init (int argc, char** argv);
   
-  CommandNode* getLocalInput();
+
   World* getWorld();
   SDL_Surface* getScreen ();
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4441)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4442)
@@ -50,5 +50,4 @@
 #include "fields.h"
 
-#include "command_node.h"
 #include "glmenu_imagescreen.h"
 #include "list.h"
@@ -418,7 +417,4 @@
   
   // bind input
-  Orxonox *orx = Orxonox::getInstance ();
-  orx->getLocalInput()->bind (localPlayer);
-
   this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_UP);
   this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_DOWN);
@@ -696,7 +692,4 @@
   this->bPause = false;
   this->pilotNode = NULL;
-  CommandNode* cn = Orxonox::getInstance()->getLocalInput();
-  cn->addToWorld(this);
-  cn->enable(true);
 }
 