Index: data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomber.oif
===================================================================
--- data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomber.oif	(revision 4485)
+++ data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomber.oif	(revision 4485)
@@ -0,0 +1,36 @@
+<ObjectInformationFile>
+
+<MountPoints>
+	<MP.00.TopLeft>
+		<Description>Slot1</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.00.TopLeft>
+
+	<MP.01.TopRight>
+		<Description>Slot2</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.01.TopRight>
+
+	<MP.02.TopMLeft>
+		<Description>Slot3</Description>
+		<OrxClass>LowEnergieWeapon</OrxClass>
+	</MP.02.TopMLeft>
+
+	<MP.03.TopMRight>
+		<Description>Slot4</Description>
+		<OrxClass>LowEnergieWeapon</OrxClass>
+	</MP.03.TopMRight>
+
+	<MP.04.Left>
+		<Description>Slot5</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.04.Left>
+
+	<MP.05.Right>
+		<Description>Slot6</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.05.Right>
+
+</MountPoints>
+
+</ObjectInformationFile>
Index: data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberMP.mtl
===================================================================
--- data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberMP.mtl	(revision 4485)
+++ data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberMP.mtl	(revision 4485)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: human_spaceship_bomberMP.blend
+# Material Count: 1
+newmtl (null).001
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberMP.oif
===================================================================
--- data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberMP.oif	(revision 4485)
+++ data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberMP.oif	(revision 4485)
@@ -0,0 +1,36 @@
+<ObjectInformationFile>
+
+<MountPoints>
+	<MP.00.TopLeft>
+		<Description>Slot1</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.00.TopLeft>
+
+	<MP.01.TopRight>
+		<Description>Slot2</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.01.TopRight>
+
+	<MP.02.TopMLeft>
+		<Description>Slot3</Description>
+		<OrxClass>LowEnergieWeapon</OrxClass>
+	</MP.02.TopMLeft>
+
+	<MP.03.TopMRight>
+		<Description>Slot4</Description>
+		<OrxClass>LowEnergieWeapon</OrxClass>
+	</MP.03.TopMRight>
+
+	<MP.04.Left>
+		<Description>Slot5</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.04.Left>
+
+	<MP.05.Right>
+		<Description>Slot6</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.05.Right>
+
+</MountPoints>
+
+</ObjectInformationFile>
Index: data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberNeu.mtl
===================================================================
--- data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberNeu.mtl	(revision 4485)
+++ data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberNeu.mtl	(revision 4485)
@@ -0,0 +1,13 @@
+# Blender3D MTL File: human_spaceship_bomber.blend
+# Material Count: 1
+newmtl Material_human_spaceship_bombe
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd human_spaceship_bomber.png
+
+
Index: data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberNeu.oif
===================================================================
--- data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberNeu.oif	(revision 4485)
+++ data/contentcreation/pps/PascalBrem/bomber_changed_nowic/human_spaceship_bomberNeu.oif	(revision 4485)
@@ -0,0 +1,36 @@
+<ObjectInformationFile>
+
+<MountPoints>
+	<MP.00.TopLeft>
+		<Description>Slot1</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.00.TopLeft>
+
+	<MP.01.TopRight>
+		<Description>Slot2</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.01.TopRight>
+
+	<MP.02.TopMLeft>
+		<Description>Slot3</Description>
+		<OrxClass>LowEnergieWeapon</OrxClass>
+	</MP.02.TopMLeft>
+
+	<MP.03.TopMRight>
+		<Description>Slot4</Description>
+		<OrxClass>LowEnergieWeapon</OrxClass>
+	</MP.03.TopMRight>
+
+	<MP.04.Left>
+		<Description>Slot5</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.04.Left>
+
+	<MP.05.Right>
+		<Description>Slot6</Description>
+		<OrxClass>HeavyEnergieWeapon</OrxClass>
+	</MP.05.Right>
+
+</MountPoints>
+
+</ObjectInformationFile>