Index: orxonox/trunk/src/subprojects/gui/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/gui/Makefile.am	(revision 4438)
+++ orxonox/trunk/src/subprojects/gui/Makefile.am	(revision 4492)
@@ -1,29 +1,5 @@
 MAINSRCDIR=../..
-AM_CXXFLAGS=-I$(MAINSRCDIR)
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/particles
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/tinyxml
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/loading
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/track
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
+include $(MAINSRCDIR)/defs/include_paths.am
+
 
 AM_LDFLAGS=$(MWINDOWS)
Index: orxonox/trunk/src/subprojects/importer/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4438)
+++ orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4492)
@@ -1,29 +1,4 @@
 MAINSRCDIR=../..
-AM_CXXFLAGS=-I$(MAINSRCDIR)
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/particles
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/tinyxml
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/loading
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/track
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
+include $(MAINSRCDIR)/defs/include_paths.am
 
 
@@ -32,4 +7,6 @@
 bin_PROGRAMS = importer
 
+importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
+                 $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a
 
 importer_SOURCES= ../framework.cc \
@@ -40,4 +17,5 @@
 	  	  $(MAINSRCDIR)/lib/graphics/importer/model.cc \
 		  $(MAINSRCDIR)/lib/graphics/importer/objModel.cc \
+		  $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc \
 		  $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc \
 	  	  $(MAINSRCDIR)/lib/graphics/importer/array.cc \
@@ -48,5 +26,7 @@
 		  $(MAINSRCDIR)/lib/math/vector.cc \
 		  $(MAINSRCDIR)/util/resource_manager.cc \
+		  $(MAINSRCDIR)/lib/util/ini_parser.cc \
 		  $(MAINSRCDIR)/lib/graphics/text_engine.cc \
 		  $(MAINSRCDIR)/lib/coord/p_node.cc \
-		  $(MAINSRCDIR)/lib/coord/null_parent.cc 
+		  $(MAINSRCDIR)/lib/coord/null_parent.cc \
+		  $(MAINSRCDIR)/util/loading/load_param.cc
Index: orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4438)
+++ orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4492)
@@ -53,11 +53,14 @@
 am_importer_OBJECTS = framework.$(OBJEXT) importer.$(OBJEXT) \
 	light.$(OBJEXT) state.$(OBJEXT) camera.$(OBJEXT) \
-	model.$(OBJEXT) objModel.$(OBJEXT) primitive_model.$(OBJEXT) \
-	array.$(OBJEXT) material.$(OBJEXT) texture.$(OBJEXT) \
-	graphics_engine.$(OBJEXT) base_object.$(OBJEXT) \
-	vector.$(OBJEXT) resource_manager.$(OBJEXT) \
-	text_engine.$(OBJEXT) p_node.$(OBJEXT) null_parent.$(OBJEXT)
+	model.$(OBJEXT) objModel.$(OBJEXT) md2Model.$(OBJEXT) \
+	primitive_model.$(OBJEXT) array.$(OBJEXT) material.$(OBJEXT) \
+	texture.$(OBJEXT) graphics_engine.$(OBJEXT) \
+	base_object.$(OBJEXT) vector.$(OBJEXT) \
+	resource_manager.$(OBJEXT) ini_parser.$(OBJEXT) \
+	text_engine.$(OBJEXT) p_node.$(OBJEXT) null_parent.$(OBJEXT) \
+	load_param.$(OBJEXT)
 importer_OBJECTS = $(am_importer_OBJECTS)
-importer_LDADD = $(LDADD)
+importer_DEPENDENCIES = $(MAINSRCDIR)/lib/event/libORXevent.a \
+	$(MAINSRCDIR)/lib/tinyxml/libtinyxml.a
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
@@ -67,8 +70,9 @@
 @AMDEP_TRUE@	./$(DEPDIR)/framework.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/graphics_engine.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/importer.Po ./$(DEPDIR)/light.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/material.Po ./$(DEPDIR)/model.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/null_parent.Po ./$(DEPDIR)/objModel.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/p_node.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/importer.Po ./$(DEPDIR)/ini_parser.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/light.Po ./$(DEPDIR)/load_param.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/material.Po ./$(DEPDIR)/md2Model.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/model.Po ./$(DEPDIR)/null_parent.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/objModel.Po ./$(DEPDIR)/p_node.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/primitive_model.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/resource_manager.Po \
@@ -194,6 +198,8 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-AM_CXXFLAGS = -I$(MAINSRCDIR) -I$(MAINSRCDIR)/world_entities -I$(MAINSRCDIR)/story_entities -I$(MAINSRCDIR)/lib -I$(MAINSRCDIR)/lib/coord -I$(MAINSRCDIR)/lib/data -I$(MAINSRCDIR)/lib/graphics -I$(MAINSRCDIR)/lib/graphics/importer -I$(MAINSRCDIR)/lib/graphics/particles -I$(MAINSRCDIR)/lib/gui -I$(MAINSRCDIR)/lib/gui/gui -I$(MAINSRCDIR)/lib/lang -I$(MAINSRCDIR)/lib/util -I$(MAINSRCDIR)/lib/math -I$(MAINSRCDIR)/lib/tinyxml -I$(MAINSRCDIR)/defs -I$(MAINSRCDIR)/font -I$(MAINSRCDIR)/network -I$(MAINSRCDIR)/glmenu -I$(MAINSRCDIR)/ai -I$(MAINSRCDIR)/util -I$(MAINSRCDIR)/util/animation -I$(MAINSRCDIR)/util/common -I$(MAINSRCDIR)/util/loading -I$(MAINSRCDIR)/util/track -I$(MAINSRCDIR)/subprojects
 AM_LDFLAGS = $(MWINDOWS)
+importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
+                 $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a
+
 importer_SOURCES = ../framework.cc \
 		  importer.cc \
@@ -203,4 +209,5 @@
 	  	  $(MAINSRCDIR)/lib/graphics/importer/model.cc \
 		  $(MAINSRCDIR)/lib/graphics/importer/objModel.cc \
+		  $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc \
 		  $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc \
 	  	  $(MAINSRCDIR)/lib/graphics/importer/array.cc \
@@ -211,7 +218,9 @@
 		  $(MAINSRCDIR)/lib/math/vector.cc \
 		  $(MAINSRCDIR)/util/resource_manager.cc \
+		  $(MAINSRCDIR)/lib/util/ini_parser.cc \
 		  $(MAINSRCDIR)/lib/graphics/text_engine.cc \
 		  $(MAINSRCDIR)/lib/coord/p_node.cc \
-		  $(MAINSRCDIR)/lib/coord/null_parent.cc 
+		  $(MAINSRCDIR)/lib/coord/null_parent.cc \
+		  $(MAINSRCDIR)/util/loading/load_param.cc
 
 all: all-am
@@ -287,6 +296,9 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphics_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ini_parser.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/light.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/load_param.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/material.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/md2Model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/null_parent.Po@am__quote@
@@ -412,4 +424,20 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o objModel.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/objModel.cc'; fi`
 
+md2Model.o: $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT md2Model.o -MD -MP -MF "$(DEPDIR)/md2Model.Tpo" -c -o md2Model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/md2Model.Tpo" "$(DEPDIR)/md2Model.Po"; else rm -f "$(DEPDIR)/md2Model.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' object='md2Model.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/md2Model.Po' tmpdepfile='$(DEPDIR)/md2Model.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o md2Model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+
+md2Model.obj: $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT md2Model.obj -MD -MP -MF "$(DEPDIR)/md2Model.Tpo" -c -o md2Model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/md2Model.Tpo" "$(DEPDIR)/md2Model.Po"; else rm -f "$(DEPDIR)/md2Model.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' object='md2Model.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/md2Model.Po' tmpdepfile='$(DEPDIR)/md2Model.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o md2Model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; fi`
+
 primitive_model.o: $(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT primitive_model.o -MD -MP -MF "$(DEPDIR)/primitive_model.Tpo" -c -o primitive_model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/primitive_model.cc; \
@@ -540,4 +568,20 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o resource_manager.obj `if test -f '$(MAINSRCDIR)/util/resource_manager.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/resource_manager.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/resource_manager.cc'; fi`
 
+ini_parser.o: $(MAINSRCDIR)/lib/util/ini_parser.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT ini_parser.o -MD -MP -MF "$(DEPDIR)/ini_parser.Tpo" -c -o ini_parser.o `test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/ini_parser.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/ini_parser.Tpo" "$(DEPDIR)/ini_parser.Po"; else rm -f "$(DEPDIR)/ini_parser.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/ini_parser.cc' object='ini_parser.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/ini_parser.Po' tmpdepfile='$(DEPDIR)/ini_parser.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o ini_parser.o `test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/ini_parser.cc
+
+ini_parser.obj: $(MAINSRCDIR)/lib/util/ini_parser.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT ini_parser.obj -MD -MP -MF "$(DEPDIR)/ini_parser.Tpo" -c -o ini_parser.obj `if test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/ini_parser.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/ini_parser.Tpo" "$(DEPDIR)/ini_parser.Po"; else rm -f "$(DEPDIR)/ini_parser.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/ini_parser.cc' object='ini_parser.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/ini_parser.Po' tmpdepfile='$(DEPDIR)/ini_parser.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o ini_parser.obj `if test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/ini_parser.cc'; fi`
+
 text_engine.o: $(MAINSRCDIR)/lib/graphics/text_engine.cc
 @am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT text_engine.o -MD -MP -MF "$(DEPDIR)/text_engine.Tpo" -c -o text_engine.o `test -f '$(MAINSRCDIR)/lib/graphics/text_engine.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/text_engine.cc; \
@@ -587,4 +631,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o null_parent.obj `if test -f '$(MAINSRCDIR)/lib/coord/null_parent.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/coord/null_parent.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/coord/null_parent.cc'; fi`
+
+load_param.o: $(MAINSRCDIR)/util/loading/load_param.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT load_param.o -MD -MP -MF "$(DEPDIR)/load_param.Tpo" -c -o load_param.o `test -f '$(MAINSRCDIR)/util/loading/load_param.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/load_param.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/load_param.Tpo" "$(DEPDIR)/load_param.Po"; else rm -f "$(DEPDIR)/load_param.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/load_param.cc' object='load_param.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/load_param.Po' tmpdepfile='$(DEPDIR)/load_param.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o load_param.o `test -f '$(MAINSRCDIR)/util/loading/load_param.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/load_param.cc
+
+load_param.obj: $(MAINSRCDIR)/util/loading/load_param.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT load_param.obj -MD -MP -MF "$(DEPDIR)/load_param.Tpo" -c -o load_param.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/load_param.Tpo" "$(DEPDIR)/load_param.Po"; else rm -f "$(DEPDIR)/load_param.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/load_param.cc' object='load_param.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/load_param.Po' tmpdepfile='$(DEPDIR)/load_param.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o load_param.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param.cc'; fi`
 uninstall-info-am:
 
@@ -755,4 +815,5 @@
 	uninstall-am uninstall-binPROGRAMS uninstall-info-am
 
+include $(MAINSRCDIR)/defs/include_paths.am
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
Index: orxonox/trunk/src/subprojects/importer/importer.cc
===================================================================
--- orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4438)
+++ orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4492)
@@ -34,5 +34,5 @@
     obj = new OBJModel(argv[1]);
   else 
-    obj = new PrimitiveModel(CYLINDER);
+    obj = new PrimitiveModel(PRIM_CYLINDER);
 
   LightManager* lightMan = LightManager::getInstance();
Index: orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4438)
+++ orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4492)
@@ -1,31 +1,4 @@
 MAINSRCDIR=../..
-AM_CXXFLAGS=-I$(MAINSRCDIR)
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/coord
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/particles
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gui/gui
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/physics/fields
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/tinyxml
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/animation
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/common
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/loading
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/util/track
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/subprojects
+include $(MAINSRCDIR)/defs/include_paths.am
 
 
Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4438)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4492)
@@ -213,5 +213,4 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-AM_CXXFLAGS = -I$(MAINSRCDIR) -I$(MAINSRCDIR)/world_entities -I$(MAINSRCDIR)/story_entities -I$(MAINSRCDIR)/lib -I$(MAINSRCDIR)/lib/coord -I$(MAINSRCDIR)/lib/data -I$(MAINSRCDIR)/lib/graphics -I$(MAINSRCDIR)/lib/graphics/importer -I$(MAINSRCDIR)/lib/graphics/particles -I$(MAINSRCDIR)/lib/gui -I$(MAINSRCDIR)/lib/gui/gui -I$(MAINSRCDIR)/lib/lang -I$(MAINSRCDIR)/lib/util -I$(MAINSRCDIR)/lib/math -I$(MAINSRCDIR)/lib/physics -I$(MAINSRCDIR)/lib/physics/fields -I$(MAINSRCDIR)/lib/tinyxml -I$(MAINSRCDIR)/defs -I$(MAINSRCDIR)/font -I$(MAINSRCDIR)/network -I$(MAINSRCDIR)/glmenu -I$(MAINSRCDIR)/ai -I$(MAINSRCDIR)/util -I$(MAINSRCDIR)/util/animation -I$(MAINSRCDIR)/util/common -I$(MAINSRCDIR)/util/loading -I$(MAINSRCDIR)/util/track -I$(MAINSRCDIR)/subprojects
 particles_LDADD = $(MAINSRCDIR)/lib/physics/libORXphysics.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS) \
@@ -868,4 +867,5 @@
 	uninstall-am uninstall-binPROGRAMS uninstall-info-am
 
+include $(MAINSRCDIR)/defs/include_paths.am
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
Index: orxonox/trunk/src/subprojects/testmain/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/testmain/Makefile.am	(revision 4438)
+++ orxonox/trunk/src/subprojects/testmain/Makefile.am	(revision 4492)
@@ -1,18 +1,4 @@
 MAINSRCDIR=../..
-AM_CXXFLAGS=-I$(MAINSRCDIR)
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/world_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/story_entities
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/data
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/gaphics
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/graphics/importer
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/lang
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/util
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/lib/math
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/defs
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/font
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/network
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/glmenu
-AM_CXXFLAGS+=-I$(MAINSRCDIR)/ai
+include $(MAINSRCDIR)/defs/include_paths.am
 
 