Index: orxonox/trunk/src/lib/physics/physics_interface.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4554)
+++ orxonox/trunk/src/lib/physics/physics_interface.cc	(revision 4555)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -14,5 +14,5 @@
    main-programmer: Patrick Boenzli
    co-programmer: Benjamin Grauer
-   
+
    bensch: renamed the file
 */
@@ -36,5 +36,5 @@
    \brief standard constructor
 */
-PhysicsInterface::PhysicsInterface (void* objectPointer) 
+PhysicsInterface::PhysicsInterface (void* objectPointer)
 {
   this->objectPointer = objectPointer;
@@ -50,7 +50,6 @@
 /**
    \brief standard deconstructor
-
 */
-PhysicsInterface::~PhysicsInterface () 
+PhysicsInterface::~PhysicsInterface ()
 {
    PhysicsEngine::getInstance()->removePhysicsInterface(this);
@@ -67,9 +66,9 @@
     PNode* massCalcPNode = dynamic_cast<PNode*>(this);  //! \todo not sure if this will work ....
     float massSum = 0;
-    
+
     tIterator<PNode>* iterator = massCalcPNode->children->getIterator();
     PNode* pn = iterator->nextElement();
-    while( pn != NULL) 
-    { 
+    while( pn != NULL)
+    {
     // todo: find out if children are PhysicsInterface in an efficient way
     if (strcmp( pn->getClassName(), "PhysicsInterface")) {
@@ -79,5 +78,5 @@
     }
     delete iterator;
-    
+
     if (massSum != this->massChildren ) {
     this->massChildren = massSum;
@@ -89,5 +88,5 @@
   */
 }
-	
+
 /**
    \brief applyes a field to this Object
@@ -97,5 +96,5 @@
 {
   PNode* tmp = (PNode*) objectPointer;
-  this->forceSum += field->calcForce(tmp->getAbsCoor());  
+  this->forceSum += field->calcForce(tmp->getAbsCoor());
 }
 
Index: orxonox/trunk/src/lib/physics/physics_interface.h
===================================================================
--- orxonox/trunk/src/lib/physics/physics_interface.h	(revision 4554)
+++ orxonox/trunk/src/lib/physics/physics_interface.h	(revision 4555)
@@ -1,3 +1,3 @@
-/*! 
+/*!
     \file physics_interface.h
     \brief a physics interface simulating a body with a mass
@@ -45,13 +45,11 @@
   virtual void recalcMass();
 
-  
+
  private:
   void*          objectPointer;         //!< A Pointer to the object we handel (actually should be this)
-  float          mass;			//!< Mass of this object
-  float          massChildren;		//!< Sum of the masses of the children nodes
-  Vector         forceSum;		//!< Total central force for this tick
-  Quaternion     momentumSum;	        //!< Total momentum in this tick
-	
-
+  float          mass;                  //!< Mass of this object
+  float          massChildren;          //!< Sum of the masses of the children nodes
+  Vector         forceSum;              //!< Total central force for this tick
+  Quaternion     momentumSum;           //!< Total momentum in this tick
 };
 
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4554)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4555)
@@ -1,5 +1,5 @@
 
 
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -107,5 +107,5 @@
    \param reference to the world
 
-   if the worldinterface is not initilizes, there wont be any 
+   if the worldinterface is not initilizes, there wont be any
    useable interface
 */
@@ -139,11 +139,11 @@
   this->constuctorInit("", -1);
   this->path = NULL;
-  
+
   this->loadParams(root);
 }
 
-/** 
+/**
     \brief create a new World
-    
+
     This creates a new empty world!
 */
@@ -165,7 +165,7 @@
 }
 
-/** 
+/**
     \brief remove the World from memory
-    
+
     delete everything explicitly, that isn't contained in the parenting tree!
     things contained in the tree are deleted automaticaly
@@ -197,9 +197,9 @@
 
 /**
-   \brief initializes the world. 
+   \brief initializes the world.
 
    set all stuff here that is world generic and does not use to much memory
    because the real init() function StoryEntity::init() will be called
-   shortly before start of the game.  
+   shortly before start of the game.
    since all worlds are initiated/referenced before they will be started.
    NO LEVEL LOADING HERE - NEVER!
@@ -232,5 +232,5 @@
 
 
-  /*  
+  /*
   // identifier
   string = grabParameter( root, "identifier");
@@ -250,5 +250,5 @@
   }
   else setNextStoryID( id);
-  
+
 
   // path
@@ -295,5 +295,5 @@
   this->localCamera = new Camera();
   this->localCamera->setName ("Camera");
-  
+
   State::getInstance()->setCamera(this->localCamera, this->localCamera->getTarget());
 
@@ -306,9 +306,9 @@
 */
 ErrorMessage World::load()
-{	
+{
   PRINTF(3)("> Loading world: '%s'\n", getPath());
   TiXmlElement* element;
   GameLoader* loader = GameLoader::getInstance();
-  
+
   if( getPath() == NULL)
     {
@@ -317,8 +317,8 @@
       return (ErrorMessage){213,"Path not specified","World::load()"};
     }
-  
+
   TiXmlDocument* XMLDoc = new TiXmlDocument( path);
   // load the campaign document
-  if( !XMLDoc->LoadFile())  
+  if( !XMLDoc->LoadFile())
   {
     // report an error
@@ -327,9 +327,9 @@
     return (ErrorMessage){213,"XML File parsing error","World::load()"};
   }
-  
+
   // check basic validity
   TiXmlElement* root = XMLDoc->RootElement();
   assert( root != NULL);
-  
+
   if( root == NULL || root->Value() == NULL || strcmp( root->Value(), "WorldDataFile"))
     {
@@ -339,5 +339,5 @@
       return (ErrorMessage){213,"Path not a WorldDataFile","World::load()"};
     }
-  
+
   // load the parameters
   // name
@@ -378,5 +378,5 @@
   // find WorldEntities
   element = root->FirstChildElement("WorldEntities");
-  
+
   if( element == NULL)
     {
@@ -389,17 +389,17 @@
       PRINTF(4)("Loading WorldEntities\n");
       while( element != NULL)
-	{
-	  WorldEntity* created = dynamic_cast<WorldEntity*>( loader->fabricate( element));
-	  if( created != NULL) this->spawn( created);
-	  // if we load a 'Player' we use it as localPlayer
-	  //todo do this more elegant 
-	  if( element->Value() != NULL && !strcmp( element->Value(), "Player")) localPlayer = (Player*) created;
-	  if( element->Value() != NULL && !strcmp( element->Value(), "SkyBox")) sky = (SkyBox*) created;
-	  element = element->NextSiblingElement();
-	  glmis->step(); //! \todo temporary
-	}
+        {
+          WorldEntity* created = dynamic_cast<WorldEntity*>( loader->fabricate( element));
+          if( created != NULL) this->spawn( created);
+          // if we load a 'Player' we use it as localPlayer
+          //todo do this more elegant
+          if( element->Value() != NULL && !strcmp( element->Value(), "Player")) localPlayer = (Player*) created;
+          if( element->Value() != NULL && !strcmp( element->Value(), "SkyBox")) sky = (SkyBox*) created;
+          element = element->NextSiblingElement();
+          glmis->step(); //! \todo temporary
+        }
       PRINTF(4)("Done loading WorldEntities\n");
     }
-  
+
   // find Track
   element = root->FirstChildElement( "Track");
@@ -409,5 +409,5 @@
     }
   else
-    {	
+    {
       //load track
       PRINTF(4)("Loading Track\n");
@@ -416,10 +416,10 @@
       trackManager->finalize();
     }
-  
+
   // free the XML data
 
   delete XMLDoc;
   /* GENERIC LOADING PROCESS FINISHED */
-  
+
   // bind input
   this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_UP);
@@ -430,9 +430,9 @@
   this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_NEXT_WEAPON);
   this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_PREVIOUS_WEAPON);
-  
+
   // bind camera
   //this->localCamera->bind (localPlayer);
   this->localPlayer->addChild (this->localCamera);
-      
+
 
   lightMan->setAmbientColor(.1,.1,.1);
@@ -445,9 +445,9 @@
   //lightMan->debug();
   lightMan->setPosition(-5.0, 10.0, -40.0);
-  
-  //	    trackManager->setBindSlave(env);
+
+  //        trackManager->setBindSlave(env);
   PNode* tn = trackManager->getTrackNode();
   tn->addChild(this->localPlayer);
-  
+
   //localCamera->setParent(TrackNode::getInstance());
   tn->addChild(this->localCamera);
@@ -463,5 +463,5 @@
   objectList = glGenLists(1);
   glNewList (objectList, GL_COMPILE);
-  
+
   //trackManager->drawGraph(.01);
   //trackManager->debug(2);
@@ -488,4 +488,5 @@
   system->setColor(1.0, 0,0,0,0);
 
+
   // Creating a Test Particle Emitter
   ParticleEmitter* emitter = new ParticleEmitter(Vector(-1, 0, 0), M_PI_4, 400, .5);
@@ -498,5 +499,5 @@
   gravity->setMagnitude(10.0);
   //  gravity->setParent(this->localCamera->getTarget());
-  
+
   // Add the Flow from the Emitter into the System
   particleEngine->addConnection(emitter, system);
@@ -504,5 +505,5 @@
   new PhysicsConnection(system, gravity);
   //    new PhysicsConnection(this->localPlayer, gravity);
-  
+
 
   TestEntity* testEntity = new TestEntity();
@@ -547,5 +548,5 @@
   trackManager->addPointV(Vector(570, 20, -10));
   trackManager->setDuration(2);
-      
+
   trackManager->forkS("testFork1,testFork2");
   trackManager->workOnS("testFork1");
@@ -572,8 +573,8 @@
 
   trackManager->setDuration(4);
-      
-      
+
+
   trackManager->joinS("testFork1,testFork2");
-	
+
   trackManager->addPointV(Vector(1200, 60, -50));
   trackManager->addPointV(Vector(1300, 50, -50));
@@ -586,7 +587,7 @@
   trackManager->addPointV(Vector(1800, 100, -40));
   trackManager->setDuration(10);
-  
+
   trackManager->finalize();
-  
+
 
   // LIGHT initialisation
@@ -598,93 +599,93 @@
     {
       /*
-	this loads the hard-coded debug world. this only for simplicity and will be 
-	removed by a reald world-loader, which interprets a world-file.
-	if you want to add an own debug world, just add a case DEBUG_WORLD_[nr] and
-	make whatever you want...
+        this loads the hard-coded debug world. this only for simplicity and will be
+        removed by a reald world-loader, which interprets a world-file.
+        if you want to add an own debug world, just add a case DEBUG_WORLD_[nr] and
+        make whatever you want...
       */
     case DEBUG_WORLD_0:
       {
-	lightMan->setPosition(-5.0, 10.0, -40.0);
-
-
-	this->localPlayer = new Player ();
-	this->localPlayer->setName ("player");
-	this->spawn (this->localPlayer);
-	this->localPlayer->setRelCoor(Vector(5,0,0));
-	/*monitor progress*/
-	this->glmis->step();
-
-
-	this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_FIRE1);
-	this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_NEXT_WEAPON);
-	this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_PREVIOUS_WEAPON);
-
-	/*
-	Field* testField = new Gravity();
-	testField->setMagnitude(10);
-	new PhysicsConnection(this->localPlayer, testField);
-	*/
-
-	// bind camera
-	this->localCamera = new Camera();
-	this->localCamera->setName ("camera");
-	/*monitor progress*/
-	this->glmis->step();
-
-
-	// Create SkySphere
-	this->sky = new Skysphere("pictures/sky-replace.jpg");
-	this->sky->setName("SkySphere");
-	this->spawn(this->sky);
-	this->localCamera->addChild(this->sky);
-	this->sky->setParentMode(PNODE_MOVEMENT);
-	/*monitor progress*/
-	this->glmis->step();
-
-
-	terrain = new Terrain("worlds/newGround.obj");
-	terrain->setRelCoor(Vector(0,-10,0));
-	this->spawn(terrain);
-	/*monitor progress*/
-	this->glmis->step();
-
-	this->pilotNode = new PilotNode();
-	this->spawn(this->pilotNode);
-	this->pilotNode->setAbsCoor(Vector(150, -35, 5));
-	this->pilotNode->addChild(this->localPlayer);
-	this->pilotNode->addChild(this->localCamera);
-	this->localCamera->lookAt(this->localPlayer);
-
-	this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_UP);
-	this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_DOWN);
-	this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_LEFT);
-	this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_RIGHT);
-	this->eventHandler->subscribe(this->pilotNode, ES_GAME, EV_MOUSE_MOTION);
-
-	// bind input
-	Orxonox *orx = Orxonox::getInstance ();
-	//orx->getLocalInput()->bind (this->pilotNode);	    
-	
-	/*
-	PNode* tn = trackManager->getTrackNode();
-	tn->addChild(this->localPlayer);
-	this->localCamera->lookAt(tn);
-	
-	tn->addChild(this->localCamera);
-	this->localPlayer->setParentMode(PNODE_ALL);
-	trackManager->condition(2, LEFTRIGHT, this->localPlayer);
-	*/
-	this->glmis->step();
-	break;
+        lightMan->setPosition(-5.0, 10.0, -40.0);
+
+
+        this->localPlayer = new Player ();
+        this->localPlayer->setName ("player");
+        this->spawn (this->localPlayer);
+        this->localPlayer->setRelCoor(Vector(5,0,0));
+        /*monitor progress*/
+        this->glmis->step();
+
+
+        this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_FIRE1);
+        this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_NEXT_WEAPON);
+        this->eventHandler->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_PREVIOUS_WEAPON);
+
+        /*
+        Field* testField = new Gravity();
+        testField->setMagnitude(10);
+        new PhysicsConnection(this->localPlayer, testField);
+        */
+
+        // bind camera
+        this->localCamera = new Camera();
+        this->localCamera->setName ("camera");
+        /*monitor progress*/
+        this->glmis->step();
+
+
+        // Create SkySphere
+        this->sky = new Skysphere("pictures/sky-replace.jpg");
+        this->sky->setName("SkySphere");
+        this->spawn(this->sky);
+        this->localCamera->addChild(this->sky);
+        this->sky->setParentMode(PNODE_MOVEMENT);
+        /*monitor progress*/
+        this->glmis->step();
+
+
+        terrain = new Terrain("worlds/newGround.obj");
+        terrain->setRelCoor(Vector(0,-10,0));
+        this->spawn(terrain);
+        /*monitor progress*/
+        this->glmis->step();
+
+        this->pilotNode = new PilotNode();
+        this->spawn(this->pilotNode);
+        this->pilotNode->setAbsCoor(Vector(150, -35, 5));
+        this->pilotNode->addChild(this->localPlayer);
+        this->pilotNode->addChild(this->localCamera);
+        this->localCamera->lookAt(this->localPlayer);
+
+        this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_UP);
+        this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_DOWN);
+        this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_LEFT);
+        this->eventHandler->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_RIGHT);
+        this->eventHandler->subscribe(this->pilotNode, ES_GAME, EV_MOUSE_MOTION);
+
+        // bind input
+        Orxonox *orx = Orxonox::getInstance ();
+        //orx->getLocalInput()->bind (this->pilotNode);
+
+        /*
+        PNode* tn = trackManager->getTrackNode();
+        tn->addChild(this->localPlayer);
+        this->localCamera->lookAt(tn);
+
+        tn->addChild(this->localCamera);
+        this->localPlayer->setParentMode(PNODE_ALL);
+        trackManager->condition(2, LEFTRIGHT, this->localPlayer);
+        */
+        this->glmis->step();
+        break;
       }
     case DEBUG_WORLD_1:
       {
 
-	break;
+        break;
       }
     case DEBUG_WORLD_2:
       {
 
-	break;
+        break;
       }
     default:
@@ -698,5 +699,5 @@
    \brief initializes a new World shortly before start
 
-   this is the function, that will be loaded shortly before the world is 
+   this is the function, that will be loaded shortly before the world is
    started
 */
@@ -759,13 +760,13 @@
 void World::displayLoadScreen ()
 {
-  PRINTF(3)("World::displayLoadScreen - start\n"); 
-  
-  //GLMenuImageScreen* 
+  PRINTF(3)("World::displayLoadScreen - start\n");
+
+  //GLMenuImageScreen*
   this->glmis = new GLMenuImageScreen();
   this->glmis->init();
   this->glmis->setMaximum(8);
   //  this->glmis->draw();
- 
-  PRINTF(3)("World::displayLoadScreen - end\n"); 
+
+  PRINTF(3)("World::displayLoadScreen - end\n");
 }
 
@@ -777,7 +778,7 @@
 void World::releaseLoadScreen ()
 {
-  PRINTF(3)("World::releaseLoadScreen - start\n"); 
+  PRINTF(3)("World::releaseLoadScreen - start\n");
   this->glmis->setValue(this->glmis->getMaximum());
-  PRINTF(3)("World::releaseLoadScreen - end\n"); 
+  PRINTF(3)("World::releaseLoadScreen - end\n");
   delete this->glmis;
 }
@@ -804,9 +805,9 @@
 
 
-/** 
+/**
     \brief checks for collisions
-    
-    This method runs through all WorldEntities known to the world and checks for collisions 
-    between them. In case of collisions the collide() method of the corresponding entities 
+
+    This method runs through all WorldEntities known to the world and checks for collisions
+    between them. In case of collisions the collide() method of the corresponding entities
     is called.
 */
@@ -816,30 +817,30 @@
   List *a, *b;
   WorldEntity *aobj, *bobj;
-   
+
   a = entities;
-  
+
   while( a != NULL)
     {
       aobj = a->nextElement();
       if( aobj->bCollide && aobj->collisioncluster != NULL)
-	{
-	  b = a->nextElement();
-	  while( b != NULL )
-	    {
-	      bobj = b->nextElement();
-	      if( bobj->bCollide && bobj->collisioncluster != NULL )
-		{
-		  unsigned long ahitflg, bhitflg;
-		  if( check_collision ( &aobj->place, aobj->collisioncluster, 
-					&ahitflg, &bobj->place, bobj->collisioncluster, 
-					&bhitflg) );
-		  {
-		    aobj->collide (bobj, ahitflg, bhitflg);
-		    bobj->collide (aobj, bhitflg, ahitflg);
-		  }
-		}
-	      b = b->nextElement();
-	    }
-	}
+        {
+          b = a->nextElement();
+          while( b != NULL )
+            {
+              bobj = b->nextElement();
+              if( bobj->bCollide && bobj->collisioncluster != NULL )
+                {
+                  unsigned long ahitflg, bhitflg;
+                  if( check_collision ( &aobj->place, aobj->collisioncluster,
+                                        &ahitflg, &bobj->place, bobj->collisioncluster,
+                                        &bhitflg) );
+                  {
+                    aobj->collide (bobj, ahitflg, bhitflg);
+                    bobj->collide (aobj, bhitflg, ahitflg);
+                  }
+                }
+              b = b->nextElement();
+            }
+        }
       a = a->enumerate();
     }
@@ -847,5 +848,5 @@
 }
 
-/** 
+/**
     \brief runs through all entities calling their draw() methods
 */
@@ -859,6 +860,6 @@
   tIterator<WorldEntity>* iterator = this->entities->getIterator();
   entity = iterator->nextElement();
-  while( entity != NULL ) 
-    { 
+  while( entity != NULL )
+    {
       if( entity->bDraw ) entity->draw();
       //entity = this->entities->nextElement();
@@ -866,5 +867,5 @@
     }
   delete iterator;
-  
+
   glCallList (objectList);
 
@@ -900,5 +901,5 @@
   p3->debug ();
   p4->debug ();
-  
+
   p1->update (0);
 
@@ -928,13 +929,13 @@
 
   delete p1;
-  
-  
+
+
   /*
   WorldEntity* entity;
   printf("counting all entities\n");
   printf("World::debug() - enumerate()\n");
-  entity = entities->enumerate();  
-  while( entity != NULL ) 
-    { 
+  entity = entities->enumerate();
+  while( entity != NULL )
+    {
       if( entity->bDraw ) printf("got an entity\n");
       entity = entities->nextElement();
@@ -963,9 +964,9 @@
       this->handleInput ();
       if( this->bQuitCurrentGame || this->bQuitOrxonox)
-	  break;
+          break;
       // Process time
       this->tick ();
       // Update the state
-      this->update ();     
+      this->update ();
       // Process collision
       this->collide ();
@@ -1021,35 +1022,35 @@
     {
       this->dt = currentFrame - this->lastFrame;
-      
+
       if( this->dt > 0)
-	{
-	  float fps = 1000/dt;
-
-	  // temporary, only for showing how fast the text-engine is
-	  char tmpChar[20];
-	  sprintf(tmpChar, "fps: %4.0f", fps);
-	}
+        {
+          float fps = 1000/dt;
+
+          // temporary, only for showing how fast the text-engine is
+          char tmpChar[20];
+          sprintf(tmpChar, "fps: %4.0f", fps);
+        }
       else
-	{
-	  /* the frame-rate is limited to 100 frames per second, all other things are for
-	     nothing.
-	  */
-	  PRINTF(2)("fps = 1000 - frame rate is adjusted\n");
-	  SDL_Delay(10);
-	  this->dt = 10;
-	}
+        {
+          /* the frame-rate is limited to 100 frames per second, all other things are for
+             nothing.
+          */
+          PRINTF(2)("fps = 1000 - frame rate is adjusted\n");
+          SDL_Delay(10);
+          this->dt = 10;
+        }
       //this->timeSlice (dt);
-      
+
       /* function to let all entities tick (iterate through list) */
-      this->dtS = (float)this->dt / 1000.0;      
+      this->dtS = (float)this->dt / 1000.0;
       this->gameTime += this->dtS;
-      //entity = entities->enumerate(); 
+      //entity = entities->enumerate();
       tIterator<WorldEntity>* iterator = this->entities->getIterator();
       WorldEntity* entity = iterator->nextElement();
-      while( entity != NULL) 
-	{ 
-	  entity->tick (this->dtS);
-	  entity = iterator->nextElement();
-	}
+      while( entity != NULL)
+        {
+          entity->tick (this->dtS);
+          entity = iterator->nextElement();
+        }
       delete iterator;
 
@@ -1063,9 +1064,9 @@
       particleEngine->tick(this->dtS);
       this->garbageCollector->tick(this->dtS);
-	  
+
       /* actualy the Graphics Engine should tick the world not the other way around...
-	 but since we like the things not too complicated we got it this way around
-	 until there is need or time to do it the other way around.
-	 \todo: GraphicsEngine ticks world: separation of processes and data...
+         but since we like the things not too complicated we got it this way around
+         until there is need or time to do it the other way around.
+         \todo: GraphicsEngine ticks world: separation of processes and data...
       */
       GraphicsEngine::getInstance()->tick(this->dtS);
@@ -1092,5 +1093,5 @@
 /**
    \brief render the current frame
-   
+
    clear all buffers and draw the world
 */
@@ -1147,7 +1148,7 @@
    \param In which relative direction should it look.
 */
-void World::spawn(WorldEntity* entity, PNode* parentNode, 
-		  Vector* relCoor, Quaternion* relDir, 
-		  int parentingMode)
+void World::spawn(WorldEntity* entity, PNode* parentNode,
+                  Vector* relCoor, Quaternion* relDir,
+                  int parentingMode)
 {
   this->nullParent = NullParent::getInstance();
@@ -1155,11 +1156,11 @@
     {
       parentNode->addChild (entity);
-      
+
       entity->setRelCoor (*relCoor);
       entity->setRelDir (*relDir);
       entity->setParentMode(parentingMode);
-      
+
       this->entities->add (entity);
-      
+
       entity->postSpawn ();
     }
Index: orxonox/trunk/src/subprojects/particles/particle_fun.cc
===================================================================
--- orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4554)
+++ orxonox/trunk/src/subprojects/particles/particle_fun.cc	(revision 4555)
@@ -52,5 +52,7 @@
   system->setRadius(PINIT_START_RADIUS, PINIT_END_RADIUS ,0 ,0);
   system->setLifeSpan(PINIT_LIFESPAN);
+
   system->setConserve(PINIT_CONSERVE_FACTOR);
+  system->setMass(5,3,6);
 
   // Creating a Test Particle Emitter