Index: orxonox/trunk/ChangeLog
===================================================================
--- orxonox/trunk/ChangeLog	(revision 4507)
+++ orxonox/trunk/ChangeLog	(revision 4561)
@@ -1,121 +1,123 @@
-2005-06-04	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Merged the SoundEngine (openAL-version) into the trunk
-	this is one of the major steps up to version 0.3-pre-alpha
+2005-06-09      orxonox <info@orxonox.ethz.ch>
+        created new Tag 0.3.0-pre-alpha
 
-2005-06-03	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Implemented cycling loading procedures used for 
-	the TrackManager and Animations
+2005-06-04      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Merged the SoundEngine (openAL-version) into the trunk
+        this is one of the major steps up to version 0.3-pre-alpha
 
-2005-06-01	orxonox <info@orxonox.ethz.ch>
-	serious cleanup of most files
-	design and doxygen tags
-	deleted old unused fucntions
+2005-06-03      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Implemented cycling loading procedures used for
+        the TrackManager and Animations
 
-2005-05-30	Patrick Boenzli <patrick@oroxnox.ethz.ch>
-	Implemented new EventSystem for orxonox
-	Highly advanced, and much faster.
+2005-06-01      orxonox <info@orxonox.ethz.ch>
+        serious cleanup of most files
+        design and doxygen tags
+        deleted old unused fucntions
 
-2005-05-27	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Intorducing new Subprojects with a new modular framework.
-	Introducing ParticlesFun
-	Introducing new Importer (this was easy :))
+2005-05-30      Patrick Boenzli <patrick@oroxnox.ethz.ch>
+        Implemented new EventSystem for orxonox
+        Highly advanced, and much faster.
 
-2005-05-10	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Merged the gui into the executable
-	Windows compiles again.
+2005-05-27      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Intorducing new Subprojects with a new modular framework.
+        Introducing ParticlesFun
+        Introducing new Importer (this was easy :))
 
-2005-04-27	orxonox
-	Tagged Version 0.2.3-pre-alpha
+2005-05-10      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Merged the gui into the executable
+        Windows compiles again.
 
-2005-04-23	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Finished most work on Animation-classes
+2005-04-27      orxonox
+        Tagged Version 0.2.3-pre-alpha
 
-2005-04-21	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Material Class update: possibility for transparency.
+2005-04-23      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Finished most work on Animation-classes
 
-2005-04-15	Patrick Boenzli <partick@orxonox.ethz.ch>
-	Added AnimationPlayer and two animation classes.
+2005-04-21      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Material Class update: possibility for transparency.
 
-2005-04-07	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Reimplemeted the Weapon and shoot-functions
+2005-04-15      Patrick Boenzli <partick@orxonox.ethz.ch>
+        Added AnimationPlayer and two animation classes.
 
-2005-03-31	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added Text Engine
+2005-04-07      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Reimplemeted the Weapon and shoot-functions
 
-2005-03-26	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added ResourceManager
+2005-03-31      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added Text Engine
 
-2005-03-24	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Reimplemented shooting.
+2005-03-26      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added ResourceManager
 
-2005-03-16	orxonox
-	Finished work on version 0.2.1-pre-alpha released 0.2.2-pre-alpha
+2005-03-24      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Reimplemented shooting.
 
-2005-03-15	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	parenting finished
+2005-03-16      orxonox
+        Finished work on version 0.2.1-pre-alpha released 0.2.2-pre-alpha
 
-2005-03-09	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Big Cleanup again
-	
-2005-03-01	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added Light Class
-	
-2005-02-27	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Big Configure.ac-cleanup
+2005-03-15      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        parenting finished
 
-2005-02-22	David Gruetter <davgr@gmx.ch>
-	Added Skysphere
-	
-2005-01-07	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	LoadScreen implemented
-	
-2004-12-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	New Version out 0.2.1-pre-alpha
-	
-2004-12-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	HEAVY cleanup of the framework
+2005-03-09      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Big Cleanup again
 
-2004-12-18	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	enhanced the Command Node
+2005-03-01      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added Light Class
 
-2004-12-15	Nico Benold <bernoldn@ee.ethz.ch>
-	OS X support
-	
-2004-12-15	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Defined standard coding rules
+2005-02-27      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Big Configure.ac-cleanup
 
-2004-12-15	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added Importer for showing 3D Object.
+2005-02-22      David Gruetter <davgr@gmx.ch>
+        Added Skysphere
 
-2004-11-07	David Gruetter <davgr@gmx.ch>
-	Shaded Terrain
-	
-2004-10-23	Adrian Buerli <buerlia@ee.ethz.ch>
-	Dynamic Mountains, dynamic movement.
-	
-2004-10-18	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Release 0.1-pre-alpha
+2005-01-07      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        LoadScreen implemented
 
-2004-07-17	Christian Meyer <cmeyer@ee.ethz.ch>
-	SDL-Framework
-	
-2004-06-09	Tom of ethz
-	Added endless Mountains
+2004-12-20      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        New Version out 0.2.1-pre-alpha
 
-2004-06-02	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added Console
-	
-2004-05-20	Patrick Boenzli <patrick@orxonox.ethz.ch>
-	Added the ability to shoot
+2004-12-20      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        HEAVY cleanup of the framework
 
-2004-05-05	Benjamin Grauer <bensch@orxonox.ethz.ch>
-	Added the GUI.
+2004-12-18      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        enhanced the Command Node
 
-2004-04-21	Patrik Boenzli <patrick@orxonox.ethz.ch>
-	Added Makefile to orxonox
+2004-12-15      Nico Benold <bernoldn@ee.ethz.ch>
+        OS X support
 
-2004-04-25	Amir Guindehi <amir@guindehi.ch>
-	Created Project Orxonox
-	
+2004-12-15      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Defined standard coding rules
 
-	
+2004-12-15      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added Importer for showing 3D Object.
+
+2004-11-07      David Gruetter <davgr@gmx.ch>
+        Shaded Terrain
+
+2004-10-23      Adrian Buerli <buerlia@ee.ethz.ch>
+        Dynamic Mountains, dynamic movement.
+
+2004-10-18      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Release 0.1-pre-alpha
+
+2004-07-17      Christian Meyer <cmeyer@ee.ethz.ch>
+        SDL-Framework
+
+2004-06-09      Tom of ethz
+        Added endless Mountains
+
+2004-06-02      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added Console
+
+2004-05-20      Patrick Boenzli <patrick@orxonox.ethz.ch>
+        Added the ability to shoot
+
+2004-05-05      Benjamin Grauer <bensch@orxonox.ethz.ch>
+        Added the GUI.
+
+2004-04-21      Patrik Boenzli <patrick@orxonox.ethz.ch>
+        Added Makefile to orxonox
+
+2004-04-25      Amir Guindehi <amir@guindehi.ch>
+        Created Project Orxonox
+
+