Index: /data/trunk/levels/sp_cutscene_intro.oxw
===================================================================
--- /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4581)
+++ /data/trunk/levels/sp_cutscene_intro.oxw	(revision 4582)
@@ -38,10 +38,10 @@
           <name>bomberOne</name>
           <model>models/spaceships/human_spaceship_bomber.obj,1.2</model>
-          <abs-coor>-480, 5, -70 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-          <Track>
-            <mode>1</mode>
-            <speed>0.5</speed>
-             <addPoint>-480,5,-70</addPoint>
+          <abs-coor>-460, 5, -70 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.3</speed>
+             <addPoint>-460,5,-70</addPoint>
              <addPoint>1000,5,-70</addPoint>
           </Track>
@@ -51,10 +51,10 @@
           <name>fighterOne</name>
           <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
-          <abs-coor>-430, 5, -70 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-          <Track>
-            <mode>1</mode>
-            <speed>0.5</speed>
-             <addPoint>-430,5,-70</addPoint>
+          <abs-coor>-410, 5, -70 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.3</speed>
+             <addPoint>-410,5,-70</addPoint>
              <addPoint>1000,5,-70</addPoint>
           </Track>
@@ -64,25 +64,38 @@
           <name>bomberTwo</name>
           <model>models/spaceships/human_spaceship_bomber.obj,1,2</model>
-          <abs-coor>-490, -10, -60 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-          <Track>
-            <mode>1</mode>
-            <speed>0.5</speed>
-             <addPoint>-490,-10,-60</addPoint>
-             <addPoint>1000,-10,-60</addPoint>
-          </Track>
-        </NPC>
-        
+          <abs-coor>-490, -5, -60 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.3</speed>
+             <addPoint>-490,-5,-60</addPoint>
+             <addPoint>1000,-5,-60</addPoint>
+          </Track>
+        </NPC>
 
         <NPC>
           <name>fighterTwo</name>
           <model>models/spaceships/human_spaceship_fighter.obj,0.5</model>
-          <abs-coor>-430, -10, -60 </abs-coor>
-          <abs-dir> 0,0,1,0 </abs-dir>
-          <Track>
-            <mode>1</mode>
-            <speed>0.5</speed>
-             <addPoint>-430,-10,-60</addPoint>
-             <addPoint>1000,-10,-60</addPoint>
+          <abs-coor>-430, -5, -60 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.3</speed>
+             <addPoint>-430,-5,-60</addPoint>
+             <addPoint>1000,-5,-60</addPoint>
+          </Track>
+        </NPC>
+
+        <NPC>
+          <name>pirateOne</name>
+          <model>models/spaceships/pirates_spaceship_fighter.obj,0.5</model>
+          <abs-coor>0, 0, -400 </abs-coor>
+          <abs-dir> 0,0,1,0 </abs-dir>
+          <Track>
+            <mode>1</mode>
+            <speed>0.1</speed>
+             <addPoint>0,0,-400</addPoint>
+             <addPoint>0,0,100</addPoint>
+             <addPoint>0,0,500</addPoint>
           </Track>
         </NPC>
@@ -101,5 +114,5 @@
          <texture>textures/planets/pluto.png</texture>
          <size>25</size>
-         <abs-coor> 100, 0 , -225</abs-coor>
+         <abs-coor> 100, 0 , -200</abs-coor>
          <abs-dir>3.1412, 0,1,0</abs-dir>
         </Planet>
@@ -149,5 +162,4 @@
     <Camera>
      <name> CameraOne </name>
-     <abs-coor>125,0,-245</abs-coor>
      <Track>
        <mode>1</mode>
Index: /data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- /data/trunk/scripts/cutscene/cutscene.lua	(revision 4581)
+++ /data/trunk/scripts/cutscene/cutscene.lua	(revision 4582)
@@ -5,9 +5,20 @@
 trigger:setActiveOnCreation(true)      
 
+
+-- Cameraswitchzero
+triggerZero = ScriptTrigger()
+triggerZero:setScript("cutscene.lua")
+triggerZero:setFunction("switchCamToBomber")
+triggerZero:setAbsCoor(37 , 0 , -200)
+triggerZero:setTarget("CameraOne")
+triggerZero:setRadius(10)
+triggerZero:setDebugDraw(true)
+
+
 -- Cameraswitchone
 triggerOne = ScriptTrigger()
 triggerOne:setScript("cutscene.lua")
 triggerOne:setFunction("switchCamTargetToEarth")
-triggerOne:setAbsCoor(0 , 0 , 0)
+triggerOne:setAbsCoor(0 , 0 , -65)
 triggerOne:setTarget("CameraOne")
 triggerOne:setRadius(10)
@@ -84,4 +95,10 @@
 end
 
+function switchCamToBomber(timestep)
+cameraManager:changeCurrTarget( "NPC", "fighterTwo")
+return true
+end
+
+
 
 -- THE tick function
@@ -105,5 +122,6 @@
 if not cameraSwitched then
 cameraManager:setCam("CameraOne")
---cameraManager:atachCurrCameraToWorldEntity("NPC", "bomberOne")
+cameraManager:jumpCurrCam(125,0,-245)
+--cameraManager:atachCurrCameraToWorldEntity("NPC", "pirateOne")
 cameraManager:changeCurrTarget("Building", "zhara")
 cameraSwitched = true